hdcp22_tx: Data Fields

| hdcp22_tx Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- h
- i
- k
- l
- m
- p
- r
- s
- t
- u
- v

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- AuthenticatedCallback : XHdcp22_Tx
- AuthenticationStatus : XHdcp22_Tx_Info
- AuthRequestCnt : XHdcp22_Tx_Info

### - b -

- BaseAddress : XHdcp22_Tx_Config

### - c -

- Cipher : XHdcp22_Tx
- CipherId : XHdcp22_Tx_Config
- Config : XHdcp22_Tx
- ContentStreamManageCheckCounter : XHdcp22_Tx_Info
- ContentStreamManageFailed : XHdcp22_Tx_Info
- ContentStreamType : XHdcp22_Tx_Info
- CurrentDdcAddress : XHdcp22_Tx_Test
- CurrentState : XHdcp22_Tx_Info

### - d -

- Data : XHdcp22_Tx_LogItem
- DdcHandlerRef : XHdcp22_Tx
- DdcRead : XHdcp22_Tx
- DdcWrite : XHdcp22_Tx
- Depth : XHdcp22_Tx_Topology
- DeviceCnt : XHdcp22_Tx_Topology
- DeviceId : XHdcp22_Tx_Config
- DownstreamTopologyAvailableCallback : XHdcp22_Tx

### - e -

- Ekh_Km : XHdcp22_Tx_PairingInfo

### - h -

- Hdcp1DeviceDownstream : XHdcp22_Tx_Topology
- Hdcp20RepeaterDownstream : XHdcp22_Tx_Topology
- Head : XHdcp22_Tx_Log

### - i -

- Info : XHdcp22_Tx
- InitialTicks : XHdcp22_Tx_Timer
- IsAuthenticatedCallbackSet : XHdcp22_Tx
- IsContentStreamTypeSent : XHdcp22_Tx_Info
- IsContentStreamTypeSet : XHdcp22_Tx_Info
- IsDdcReadSet : XHdcp22_Tx
- IsDdcWriteSet : XHdcp22_Tx
- IsDeviceRevoked : XHdcp22_Tx_Info
- IsDownstreamTopologyAvailableCallbackSet : XHdcp22_Tx
- IsEnabled : XHdcp22_Tx_Info
- IsReady : XHdcp22_Tx
- IsReceiverHDCP2Capable : XHdcp22_Tx , XHdcp22_Tx_Info
- IsReceiverRepeater : XHdcp22_Tx_Info
- IsRevocationListValid : XHdcp22_Tx_Info
- IsTopologyAvailable : XHdcp22_Tx_Info
- IsUnauthenticatedCallbackSet : XHdcp22_Tx

### - k -

- Km : XHdcp22_Tx_PairingInfo

### - l -

- LocalityCheckCounter : XHdcp22_Tx_Info
- Log : XHdcp22_Tx
- LogEvent : XHdcp22_Tx_LogItem
- LogItems : XHdcp22_Tx_Log

### - m -

- M : XHdcp22_Tx_Info
- MaxCascadeExceeded : XHdcp22_Tx_Topology
- MaxDevsExceeded : XHdcp22_Tx_Topology
- MessageBuffer : XHdcp22_Tx
- Mode : XHdcp22_Tx_Config
- MsgAvailable : XHdcp22_Tx_Info

### - p -

- PollingValue : XHdcp22_Tx_Info
- Protocol : XHdcp22_Tx_Config , XHdcp22_Tx_Info
- PrvState : XHdcp22_Tx_Info

### - r -

- Ready : XHdcp22_Tx_PairingInfo
- ReasonId : XHdcp22_Tx_Timer
- ReAuthenticationRequested : XHdcp22_Tx_Info
- ReauthRequestCnt : XHdcp22_Tx_Info
- ReceivedFirstSeqNum_V : XHdcp22_Tx_Info
- ReceiverId : XHdcp22_Tx_PairingInfo , XHdcp22_Tx_Topology
- RevocationList : XHdcp22_Tx
- Rn : XHdcp22_Tx_Info
- Rng : XHdcp22_Tx
- RngId : XHdcp22_Tx_Config
- Rrx : XHdcp22_Tx_Info , XHdcp22_Tx_PairingInfo
- Rtx : XHdcp22_Tx_Info , XHdcp22_Tx_PairingInfo
- RxCaps : XHdcp22_Tx_PairingInfo
- RxStatus : XHdcp22_Tx_Info

### - s -

- SentFirstSeqNum_M : XHdcp22_Tx_Info
- SeqNum_M : XHdcp22_Tx_Info
- StateContext : XHdcp22_Tx_Info

### - t -

- Tail : XHdcp22_Tx_Log
- TestFlags : XHdcp22_Tx_Test
- TestMode : XHdcp22_Tx_Test
- Timer : XHdcp22_Tx
- TimerDeviceId : XHdcp22_Tx_Config
- TimerExpired : XHdcp22_Tx_Timer
- TimeStamp : XHdcp22_Tx_LogItem
- TmrCtr : XHdcp22_Tx_Timer
- Topology : XHdcp22_Tx

### - u -

- UnauthenticatedCallback : XHdcp22_Tx

### - v -

- Verbose : XHdcp22_Tx_Log